package de.intevation.gnv.exports;

import de.intevation.gnv.geobackend.base.Result;


/**
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 * @author Ingo Weinzierl (ingo.weinzierl@intevation.de)
 */
public class DefaultProfile
implements   Export.Profile
{
    protected Export.DataCollector collector;
    protected String []            header;
    protected String []            names;
    protected char                 separator;
    protected char                 escapeCharacter;
    protected char                 quoteCharacter;
    protected String               type;
    protected String               encoding;

    public DefaultProfile() {
    }

    public DefaultProfile(
        String []            header,
        char                 separator,
        char                 escapeCharacter,
        char                 quoteCharacter,
        String               type,
        String               encoding
    ) {
        this.header          = header;
        this.separator       = separator;
        this.escapeCharacter = escapeCharacter;
        this.quoteCharacter  = quoteCharacter;
        this.type            = type;
        this.encoding        = encoding;
    }

    public String toString(int index, String value) {
        return value;
    }

    public char getSeparator() {
        return separator;
    }

    public char getEscapeCharacter() {
        return escapeCharacter;
    }

    public char getQuoteCharacter() {
        return quoteCharacter;
    }

    public String getType() {
        return type;
    }

    public String getEncoding() {
        return encoding;
    }

    public String[] getHeader() {
        return header;
    }
}
